Update cached content (Gemini format)
Updates the TTL or expiration time of a cached content entry. Only
ttl or expireTime may be modified.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
cached_idstring
Header Parameters
x-model-provider?string
ttl?string
TTL in protobuf duration format.
expireTime?string
Format
date-timeResponse Body
curl -X PATCH "https://loading/{AI_GATEWAY_URL}/genai/v1beta/cachedContents/string" \ -H "x-model-provider: string" \ -H "Content-Type: application/json" \ -d '{}'{}{
"error": {
"code": 0,
"message": "string",
"status": "string",
"details": [
{
"@type": "string",
"fieldViolations": [
{
"description": "string"
}
]
}
]
}
}